
.navbar-brand {
  padding: 0;
  width: 185px;
}

.navbar-brand img {
  filter: invert(100%);
  -webkit-filter: invert(100%);
}

.navbar-brand.navbar-nsf img {
  filter: grayscale(100%);
  -webkit-filter: grayscale(100%);
}

.navbar-nsf, .navbar-twig {
  margin-top: 1em;
  display: none;
}

.navbar-toggle .icon-bar {
  background-color: #DCE0DF;
}

.container-fluid > .navbar-collapse.navbar-user {
  margin-left: -15px;
  margin-right: -15px;
}

.navbar-collapse.navbar {
  padding-left: 0;
  padding-right: 0;
}

.navbar-user {
  float: right;
}

.menu {
  padding-left: 0;
}

.navbar-form {
  margin-top: 0;
  .form-group {
    margin-bottom: 2px;
  }
  .form-control, .form-submit {
    font-size: 13px;
    padding: 1px;
    height: 20px;
  }
}

@media  (min-width: $screen-sm-min) {
  .navbar-header {
    width: 195px;
  }

  .navbar-nsf, .navbar-twig {
    display: block;
  }

  .navbar-header {
    width: 60%;
    .navbar-guts {
      width: 37%;
    }
    .navbar-nsf {
      width: 15%;
    }
    .navbar-twig {
      width: 48%;
    }
  }
  .navbar-user {
    width: 40%;
  }

  .navbar {

    margin-bottom: 0;

    .navbar-brand > img {
      display: inline-block;
      margin-right: 10px;
      position: relative;
      top: -30px;
      vertical-align: top;
    }

    li > a {
      text-align: center;
    }

    // Keep breadcrumbs etc. below the absolutely-positioned submenu.
    ul.navbar-nav {
      margin-bottom: 0;
    }
    ul.navbar-nav ul {
      position: absolute;
      top: 101px;
      padding: 0;
      width: $screen-sm-min;
      li {
        display: inline-block;
        a {
          padding: 4px 8px;
          border-left: 1px dotted black;
          color: black;
          position: relative;
          text-decoration: none;
        }
        a:hover {
          color: white;
          background-color: $guts-green;
        }
        a:after {
          content: '';
          display: block;
          position: absolute;
          width: 2em;
          bottom: 0;
          left: 0;
          border: 1px dotted black;
        }
      }
      li.active {
        a {
          color: $guts-green;
        }
        a:hover {
          background-color: white;
        }
      }
    }
  }

  .navbar-form {
    margin-top: 31.5px;
    .form-group {
      margin-bottom: 0;
    }
    .form-control, .form-submit {
      font-size: 16px;
      padding: 6px 12px;
      height: 37px;
    }
  }

}

.menu-main, .menu-account, .menu-visitor-menu {
  a {
    color: $gray-lighter;
  }

  a:hover {
    color: white;
  }
}

.menu-account,
.menu-visitor-menu {
  float: right;
}

// Only show submenus on hover
.menu-account li ul {
  position: absolute;
  padding: .65em 0 0 0;
  margin-left: 5em;
}

.menu-account li:hover ul {
  border-left: dotted white 1px;
}


.menu-account li ul li {
  visibility: hidden;
  padding: .5em 1em;
  border-right: dotted white 1px;
  border-top: dotted white 1px;
  border-bottom: dotted white 1px;
}

.menu-account li:hover ul li {
  visibility: visible;
}

.navbar-user li {
  display: inline-block;
  text-align: center;
  font-size: .8em;
}

.navbar-nav li {
  font-size: .9em;
}

.menu-main li ul {
  margin-top: 0;
  font-size: 14px;
}


.navbar-nav li ul li {
  text-align: center;
}


.menu-main .menu-link-icon {
  background-color: black;
  border-right: dotted white 1px;
}

.menu-main li:last-child .menu-link-icon {
  border-right: solid #303030 1px;
}

@media  (min-width: $screen-xs-min) {

    .menu-link-icon, .nav li .menu-link-icon {
      display: block;
      padding: 80px 1px 3px 1px;
      width: 80px;
      height: 80px;
      background-repeat: no-repeat;
      background-position: top center;
      background-size: contain;
    }

    .menu-visitor-menu, .menu-account {
      .menu-link-icon, .nav li .menu-link-icon {
        width: 70px;
        height: 70px;
        padding: 70px 1px 1px 1px;
        overflow: hidden;
      }
    }

    .menu-account li ul {
      margin-left: 34px;
    }

    #menu-link-icon-my-pages {
      background-image: url(../images/MyPages_Rest.svg);
    }
    #menu-link-icon-my-pages:hover {
      background-image: url(../images/MyPages_Hover.svg);
    }
    .active #menu-link-icon-my-pages {
      background-image: url(../images/MyPages_Active.svg);
    }

    #menu-link-icon-about-us {
      background-image: url(../images/AboutUs.svg);
    }
    #menu-link-icon-about-us:hover {
      background-image: url(../images/AboutUs_Hover.svg);
    }
    .active #menu-link-icon-about-us {
      background-image: url(../images/AboutUs_Active.svg);
    }

    #menu-link-icon-help {
      background-image: url(../images/Help_Rest.svg);
    }
    #menu-link-icon-help:hover {
      background-image: url(../images/Help_Hover.svg);
    }
    .active #menu-link-icon-help {
      background-image: url(../images/Help_Active.svg);
    }

    #menu-link-icon-log-out {
      background-image: url(../images/Logout_Rest.svg);
    }
    #menu-link-icon-log-out:hover {
      background-image: url(../images/Logout_Hover.svg);
    }
    .active #menu-link-icon-log-out {
      background-image: url(../images/Logout_Active.svg);
    }

    #menu-link-icon-log-in {
      background-image: url(../images/Login_Rest.svg);
    }
    #menu-link-icon-log-in:hover {
      background-image: url(../images/Login_Hover.svg);
    }
    .active #menu-link-icon-log-in {
      background-image: url(../images/Login_Active.svg);
    }

    #menu-link-icon-join {
      background-image: url(../images/Join_Us_Rest.svg);
    }
    #menu-link-icon-join:hover {
      background-image: url(../images/Join_Us_Hover.svg);
    }
    .active #menu-link-icon-join {
      background-image: url(../images/Join_Us_Active.svg);
    }

    #menu-link-icon-events {
      background-image: url(../images/Events_Rest.svg);
    }
    #menu-link-icon-events:hover {
      background-image: url(../images/Events_Hover.svg);
    }
    .active #menu-link-icon-events {
      background-image: url(../images/Events_Active.svg);
    }

    #menu-link-icon-members {
      background-image: url(../images/Members_Rest.svg);
    }
    #menu-link-icon-members:hover {
      background-image: url(../images/Members_Hover.svg);
    }
    .active #menu-link-icon-members {
      background-image: url(../images/Members_Active.svg);
    }

    #menu-link-icon-news {
      background-image: url(../images/WhatsNews_Rest.svg);
    }
    #menu-link-icon-news:hover {
      background-image: url(../images/WhatsNews_Hover.svg);
    }
    .active #menu-link-icon-news {
      background-image: url(../images/WhatsNews_Active.svg);
    }

    #menu-link-icon-resources {
      background-image: url(../images/Resources_Rest.svg);
    }
    #menu-link-icon-resources:hover {
      background-image: url(../images/Resources_Hover.svg);
    }
    .active #menu-link-icon-resources {
      background-image: url(../images/Resources_Active.svg);
    }

    #menu-link-icon-practice {
      background-image: url(../images/Practice_Rest.svg);
    }
    #menu-link-icon-practice:hover {
      background-image: url(../images/Practice_Hover.svg);
    }
    .active #menu-link-icon-practice {
      background-image: url(../images/Practice_Active.svg);
    }

    #menu-link-icon-discussions {
      background-image: url(../images/Discussions_Rest.svg);
    }
    #menu-link-icon-discussions:hover {
      background-image: url(../images/Discussions_Hover.svg);
    }
    .active #menu-link-icon-discussions {
      background-image: url(../images/Discussions_Active.svg);
    }

    #menu-link-icon-contact-us {
      background-image: url(../images/Contact_Rest.svg);
    }
    #menu-link-icon-contact-us:hover {
      background-image: url(../images/Contact_Hover.svg);
    }
    .active #menu-link-icon-contact-us {
      background-image: url(../images/Contact_Active.svg);
    }

    #load-rollover-menu-graphics {
      background: url(../images/Contact_Hover.svg),
	url(../images/MyPages_Hover.svg),
	url(../images/Help_Hover.svg),
	url(../images/Logout_Hover.svg),
	url(../images/Login_Hover.svg),
	url(../images/Join_Us_Hover.svg),
	url(../images/Events_Hover.svg),
	url(../images/Members_Hover.svg),
	url(../images/WhatsNews_Hover.svg),
	url(../images/Resources_Hover.svg),
	url(../images/Practice_Hover.svg),
	url(../images/Discussions_Hover.svg);
      width: 0;
      height: 0;
      visibility: hidden;
      display: block;
      position: absolute;
    }
}

@media  (min-width: $screen-md-min) {
    .menu-link-icon, .nav li .menu-link-icon {
      display: block;
      padding: 100px 1px 3px 1px;
      width: 100px;
      height: 125px;
      background-repeat: no-repeat;
      background-position: top center;
      background-size: contain;
    }

    .menu-visitor-menu, .menu-account {
      .menu-link-icon, .nav li .menu-link-icon {
        width: 75px;
        height: 75px;
        padding: 75px 1px 3px 1px;
      }
    }

    .menu-account li ul {
      margin-left: 37px;
    }

  .navbar ul.navbar-nav ul {
    top: 126px;
  }

  .navbar-user li {
    font-size: .9em;
  }

  .navbar-nav li {
    font-size: 1em;
  }

  .menu-main li ul {
    font-size: 16px;
  }

}

.navbar-collapse.in {
  border-top: none;
  box-shadow: none;
}

.navbar-collapse.in.navbar-user {
  float: none;
  .menu-account, .menu-visitor-menu {
    float: none;
  }
  li {
    display: block;
    text-align: left;
  }
}

.navbar-collapse.in .navbar-nav > li > a {
  line-height: 10px;
}
